HPE OneView
cancel
Showing results for 
Search instead for 
Did you mean: 

OneView for VMware vCenter Upgrade to 8.1

SOLVED
Go to solution
Edward L. Haletky
Valued Contributor

OneView for VMware vCenter Upgrade to 8.1

Hello,

Where is the upgrade package to move from 8.0.1 to 8.1. All I can find is the OVA. It would be nice not to loose my configurations.


Thank you,

Edward

4 REPLIES
ChrisLynchHPE
Neighborhood Moderator

Re: OneView for VMware vCenter Upgrade to 8.1

Upgrading an 8.x to 8.x appliance isn't documented very well, and we are going to fix that.  In order to upgrade, you will need to follow the Backup and Restore steps outlined in the attached images.

Slide1.PNGSlide2.PNG

Edward L. Haletky
Valued Contributor

Re: OneView for VMware vCenter Upgrade to 8.1

Hello,

Well I tried this approach and it did not work. The 'backup' cannot be restored with the password provided.

It actually looks like the backup cannot be decrypted even when trying to restore on the 8.0.3 appliance. Even a restore from local does not work. 

Now I am at a loss. If the backup/restore process is broken then how is this supposed to upgrade?

More information: 

Logs show:

java.security.GeneralSecurityException: Input data not padded properly.Failed to encrypt/decrypt the file: 

lots of java errors, then

com.hpe.ov4vc.appliance.configuration.lifecycle.impl.handler.PerformRestoreCommandValidator checkUserPassword
WARNING: Unable to decrypt the contents of the backup provided.

User Password is correct. Cut-n-paste still works for that. I even tried a very SIMPLE password with the same results.

Best regards,

Edward L. Haletky

Edward L. Haletky
Valued Contributor
Solution

Re: OneView for VMware vCenter Upgrade to 8.1

Hello,

There are not many settings, so all I did was reinstall and reconfigure networking, passwords, etc as before. It is now running as it did before. 

The backup still does not work, that needs to be fixed eventually.

--Edward

Tom Oliveri
Occasional Visitor

Re: OneView for VMware vCenter Upgrade to 8.1

Still not fixed in v8.2, which also requires a new OVA deployment.  Apparently no upgrade path exists, and restoring the backup errors with "Unable to decrypt the contents of the backup provided."  Very disappointing.